﻿#graph-explorer-tool-main-container {
    font-size: 13px;
    font-family: work-sans-regular, Arial, sans-serif;
    background: #fff;
}

.graph-explorer-section-title {
    font-size: 1.7em !important;
    margin-bottom: 8px;
    letter-spacing: 0.25px;
    font-family: poppins-medium, Arial, Helvetica, sans-serif;
}

/*banner css*/
.graph-explorer-tool-banner-section {
    background-color: #341d49;
    background-image: url('/images/graph-explorer-m365-images/banner-bg.svg');
    padding-top: 20px;
    background-size: cover;
    background-position: center;
    color: rgb(240, 240, 240);
}

.graph-explorer-tool-banner-container {
    padding: 90px 15px 15px;
    text-align: center;
}

.graph-explorer-tool-banner-container > div {
    display: inline-block;
    vertical-align: middle;
    width: 42%;
    max-width: 550px;
    margin: 20px;
    text-align: left;
    padding-bottom: 20px;
}

.graph-explorer-tool-banner-title-wrapper {
    background: linear-gradient(268.3deg, #cb49ff 0.32%, #f456ff 54.22%, #ea8fff 99.54%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.free-tool-pill {
    position: relative;
    padding: 6px 15px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 8px;
    background-image: linear-gradient(135deg, #29153a 0%, #411665 100%), linear-gradient(90deg, #593578 0%, #7442a1 50%, #e05fff 100%);
    background-origin: border-box;
    background-clip: padding-box, border-box;
    border: 2px solid transparent;
    width: fit-content;
}

.free-tool-pill i{
    font-size: 1.5em;
}

.free-tool-pill span{
    font-size: 1.3em;
    letter-spacing: 0.3px;
}

.banner-btn-wrapper {
    padding: 20px 0px;
}

.btn-graph-explorer {
    background: linear-gradient(to right, #9D50BB 0%, #6E48AA 100%);
    padding: 10px 15px;
    border-radius: 6px;
    margin-left: 0;
}

.graph-explorer-tool-banner-image img {
    max-width: 100%;
    display: block;
    height: 400px;
    object-fit: scale-down;
    margin: auto;
}

/*why choose admindroid Section*/

.why-choose-section {
    background: linear-gradient(90deg, #fafdff, #fdfbff);
}

.why-choose-main-title {
    background: linear-gradient(90deg, #9c36a6 0%, #2c187b 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.why-choose-main-quote-wrapper {
    background: linear-gradient(to right, transparent, #feeeff, transparent);
    padding: 15px;
    position: relative;
    display: inline-block;
    max-width: 1000px;
    font-style: italic;
    color: #5a0085;
    margin: 10px 0px 20px 20px;
}

.why-choose-main-quote-wrapper i{
    position: absolute;
    left: -15px;
    top: -4px;
    font-size: 2em;
}

.why-choose-main-desc-wrapper{
    padding: 0;
}

.why-choose-pane-container {
    display: flex;
    justify-content: center;
    margin: auto;
    gap: 40px;
    flex-wrap: wrap;
    width: 100%;
}

.why-choose-pane-wrapper {
    background-color: #ffffff;
    min-width: 300px;
    max-width: 350px;
    width: 100%;
    padding: 20px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 6px;
}

.why-choose-pane-icon-wrapper {
    width: 60px;
    margin: auto;
    height: 60px;
    padding: 14px;
    border-radius: 50%;
    margin-bottom: 10px;
}

.why-choose-pane-icon-wrapper i{
    font-size: 2.5em;
    color: rgb(85 5 114);
}

.why-choose-pane-content-wrapper {
    display: inline-block;
    vertical-align: top;
}

.pane-heading-wrap {
    color: #6d168d;
}

/* graph explorer overall section */

.graph-explorer-overall-section {
    background-color: #181838;
    background: url('/images/graph-explorer-m365-images/overall-page-bg.svg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover;
}

.graph-explorer-overall-wrapper {
    max-width: 1300px;
    background-color: #ffffff0f;
    color: #f1f1f1;
    margin: auto;
    backdrop-filter: blur(3px);
}

.graph-explorer-section-seperator {
    height: 3px;
    margin: 0px auto;
    background: linear-gradient(to right, transparent, #ddcae966, transparent);
}

/* native m365 graph section */

.native-m365-graph-container{
    padding-bottom: 0;
}

.native-m365-heading-wrapper{
    margin-bottom: 20px;
}

.native-m365-head-wrap {
    color: #6bf988;
}

.native-m365-graph-header-wrapper {
    text-align: left;
    padding: 3% 3% 1%;
}

.line-seperator {
    position: relative;
    width: 100%;
    height: 6px;
}

.line-seperator::before,
.line-seperator::after {
    content: '';
    position: absolute;
    left: 0;
    width: 100%;
    height: 1px;
    background: linear-gradient( 90deg, transparent, rgba(34,171,197,.6), transparent );
}

.line-seperator::before {
    top: 0;
}

.line-seperator::after {
    bottom: 0;
    opacity: .4;
}

.native-m365-graph-content-title {
    color: #91d0ff;
    margin-bottom: 0;
}

.native-m365-graph-content-desc {
    padding: 10px;
    padding-left: 15px;
    font-size: 1.05em;
    line-height: 1.6em;
    width: 80%;
}

.graph-view-section-container {
    width: 100%;
    text-align: center;
}
.graph-view-section-content-part {
    display: inline-block;
    vertical-align: top;
    padding: 30px;
    max-width: 600px;
    border-radius: 8px;
    backdrop-filter: blur(15px);
    background: rgb(48 37 63) !important;
    width: 100%;
    position: sticky;
    top: 120px;
    height: fit-content;
}

.droid-section-outer-wrapper.graph-view-section-container {
    padding: 0px 0 40px;
}

.description-card {
    margin-bottom: 5px;
    border-radius: 5px;
    transition: all 0.6s ease-in-out;
    cursor: pointer;
    padding: 1em 0.5em;
    color: #e9e9e9;
    white-space: nowrap;
}
.description-card.active .graph-view-icon,
.description-card.active .graph-view-description-card-text .droid-section-sub-title {
    color: white;
}
.graph-view-icon {
    display: inline-block;
    vertical-align: top;
    font-size: 1.4em;
}
.graph-view-description-card-text {
    width: 95%;
    display: inline-block;
    margin-left: 3px;
    text-align: left;
    vertical-align: top;
    white-space: normal;
}
span.highlighted-title {
    font-family: poppins-medium, Arial, Helvetica, sans-serif;
    color: rgb(118 202 255);
    font-size: 16px;
}

.graph-view-section-content-part .description-card .droid-section-sub-title {
    font-family: poppins-regular, Arial, Helvetica, sans-serif;
}

.graph-view-description-card-text .droid-section-sub-title {
    font-size: 1.15em;
}

.description-card .droid-section-sub-title-desc {
    display: none;
}

.graph-view-section-slider-pagination-part {
    display: none;
    vertical-align: middle;
    width: 685px;
    margin-bottom: 7px;
    margin-top: 10px;
}
.graph-view-slider-pagination-bullets-container {
    text-align: end;
    display: inline-block;
    width: 528px;
}
.graph-view-slider-pagination-bullets{
    display: inline-block;
    width: 12px;
    height: 12px;
    background: rgba(169, 169, 169, .5);
    transition:background-color 0.3s linear;
    margin: 0 1.5px;
    border-radius: 2px;
}
.graph-view-slider-pagination-bullets.active{
    background:#ffffff;
}

.graph-view-image-part {
    display: inline-block;
    width: 100%;
    max-width: 600px;
    vertical-align: middle;
    text-align: right;
    padding-bottom: 30px;
}
.slide-nav-button-holder{
    display: none;
    width: 5%;
    left: 0.5%;
    font-size:4em;
    vertical-align: middle;
    position: relative;
    bottom: 46.5%;
    color:#aaaaaa;
}
.slide-nav-button-holder i{
    opacity:0.45;
    cursor:pointer;
}
.slide-nav-button-holder i:hover{
    opacity:0.85;
}
.slide-nav-button-holder i:active {
    opacity: 0;
}
.graph-view-img {
    border-radius: 10px;
    border: 5px solid white;
    box-shadow: 0px 0px 6px 2px rgba(92, 91, 91, .33);
    user-select: none;
    height: auto !important;

}

 /* carousel slider styles */
 .carousel,
 .carousel-left {
   width:87%;
   height:725px;
   position:relative;
   clear:both;
   margin: 0 auto;
   display:inline-block;
 }

.graph-view-section-content-part .description-card.active, .graph-view-section-content-part .description-card:hover {
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.15) 84%, transparent);
}

.carousel-left,
.carousel  {
   height: 400px;
 }
 
 .both-carousel img {
   cursor:pointer; 
   display: block !important;
   position: absolute;
   top: calc(50% - 154.5px);
 }
 img.carousel-item {
   filter: blur(px);
   box-sizing: content-box;
 }

 img.carousel-item.carousel-center {
   filter: none;
   box-sizing: content-box;
 }


/*large dataset*/

.large-dataset-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 4%;
    overflow: hidden;
}

.large-dataset-overall-content-wrapper {
    width: 50%;
    text-align: left;
}

.large-dataset-video-wrapper {
    width: 45%;
}

.large-dataset-heading-wrapper {
    color: #f38dff;
}

.large-dataset-content-wrapper {
    margin-top: 20px;
}

.large-dataset-content-wrapper p {
    margin-bottom: 10px;
}

.large-dataset-content-points {
    margin-top: 23px;
}

.large-dataset-content-list {
    list-style-type: none;
}

.large-dataset-content-list li {
    border-left: 3px solid #b97fee;
    padding: 10px 13px;
    margin: 10px 0;
    border-radius: 10px;
    background: linear-gradient(90deg, rgb(70 45 91) 0%, rgba(180, 181, 184, 0) 80%);
}

.large-dataset-video-wrapper .droid-video-player-wrapper {
    border-color: #513c6d;
}

/*feature graph explorer section*/

.feature-graph-explorer-section {
    background-color: transparent;
}

.feature-graph-explorer-container {
    background-color: #ffffff;
    gap: 20px;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    overflow: hidden;
}

.graph-explorer-feature-wrapper {
    padding: 20px;
    border-radius: 8px;
    transition: all 0.3s ease;
    position: relative;
    overflow: hidden;
    text-align: left;
    max-width: 390px
}

.graph-explorer-feature-content-wrapper {
    position: relative;
    z-index: 1;
}

.graph-explorer-feature-icon-wrapper {
    display: inline-block;
    vertical-align: middle;
    width: 33px;
}

.graph-explorer-feature-icon-wrapper i {
    font-size: 2em;
}

.graph-explorer-feature-heading-wrap {
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 0;
    width: 85%;
}

.graph-explorer-feature-desc-wrap {
    margin-top: 10px;
    position: relative;
    z-index: 1;
    color: #383838;
}

.feature-card-blue {
    color: #2574d6;
    
}

.feature-card-green {
    color: #128553;
    
}

.feature-card-purple {
    color: #5f22aa;
    
}

.feature-card-bg-blue {
    background-color: #eff8fd;
    background: linear-gradient(135deg, #e5f2fb 0%, #dff0fe 100%);
}

.feature-card-bg-green {
    background-color: #effdf6;
    background: linear-gradient(135deg, #f3fff4 0%, #eaffea 100%);
}

.feature-card-bg-purple {
    background-color: #f4effd;
    background: linear-gradient(135deg, #fef7ff 0%, #f8d0ff 100%);
}

.graph-explorer-feature-wrapper::before {
    content: '';
    position: absolute;
    top: -130px;
    right: -60px;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    opacity: 0.5;
    transition: all 0.3s ease;
}
.feature-card-bg-blue::before {
    background: rgba(0, 102, 204, 0.1);
}
.feature-card-bg-green::before {
    background: rgba(16, 185, 129, 0.1);
}
.feature-card-bg-purple::before {
    background: rgba(124, 58, 237, 0.1);
}

/*manage microsoft container*/

.manage-microsoft-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    padding: 4%;
}

.manage-microsoft-content-wrapper {
    width: 45%;
    text-align: left;
}

.manage-microsoft-video-wrapper {
    width: 45%;
}

.manage-microsoft-video-wrapper .droid-video-player-wrapper {
    border-color: #513c6d;
}

.manage-microsoft-heading-wrapper {
    color: #6da7ff;
    margin-bottom: 20px;
}


/*admindroid graph explorer vs Graph Explorer*/

.graph-explorer-vs-droid-section {
    background: linear-gradient(90deg, #f3fbff, #f7efff);
}

.graph-explorer-comparison-title {
    color: #6c6b6b;
    display: flex;
    gap: 1%;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}

.graph-explorer-text {
    background: linear-gradient(90deg, #00838f, #005fc7);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.admindroid-graph-explorer-text {
    background-image: linear-gradient(45deg, #04743e 0%, #068476 50%, #9c0679 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.graph-explorer-comparison-table-wrapper .droid-common-table-section {
    margin-top: 30px;
}

/*Common table */

.graph-explorer-comparison-table-wrapper .droid-common-table-wrapper {
    padding-top: 0px;
    padding-bottom: 0;
    max-width: 900px;
    margin: auto;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px !important;
    .common-table-grid{
        width: 100%;
        .col-heading-highlighter
        {
            height: 60px;
            right: 0px;
            border-top-left-radius: 20px;
            border-top-right-radius: 20px;
            z-index: 2;
            background: linear-gradient(270deg, rgb(13 0 211 / 11%), rgba(10, 149, 181, 0.11));
        }
        .common-table-highlight-wrapper{
            top: 6px;
            bottom: 6px;
            height: unset;
        }
        .table-column-heading{
            font-size: 1.1em;
            img{
                   height: auto;
               }
        }
        .table-column-heading.row[data-item-of-column="1"] {
            justify-content: flex-start;
        }
        .table-item[data-item-of-column="0"] {
            font-family: poppins-medium;
        }
        .table-item {
            border-right: 1px solid #c9c5c529;
            padding: 10px 20px;
            font-size: 1em;
        }
    }
}


/*try-graph-explorer-section*/

.try-graph-explorer-section {
    background-color: #171B23;
    position: relative;
    overflow: hidden;
}

.try-graph-explorer-wrapper {
    max-width: 1000px;
    margin: auto;
    padding: 4%;
    background: #2b172c;
    background: linear-gradient(135deg, rgb(205 82 255 / 5%) 0%, rgb(255 255 255 / 10%) 50%, rgb(64 138 167 / 10%) 100%);
    backdrop-filter: blur(4px);
    position: relative;
    z-index: 2;
}

.try-graph-explorer-title-wrap {
    color: #d79cff;
    margin: 0;
}

.try-graph-explorer-content-wrap {
    color: #d3d3d3;
    margin: auto;
    padding: 3%;
}

.try-graph-explorer-container {
    position: relative;
    overflow: hidden;
}

.cta-graph-explorer-highlight-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin-bottom: 20px;
    gap: 20px;
    flex-wrap: wrap;
}

.cta-graph-explorer-highlight-icon-wrapper {
    font-size: 1.2em;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    border: 1px solid #d9b6ef5c;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #5a527e54;
}

.cta-graph-explorer-highlight-content-wrap {
    font-size: 1.05em;
}

.try-graph-explorer-wrapper .btn-graph-explorer {
    margin-top: 15px;
}

.cta-graph-explorer-highlight-wrapper {
    color: white;
    display: flex;
    gap: 10px;
    align-items: center;
}

.shape {
    position: absolute;
    will-change: transform;
    pointer-events: none;
    z-index: 0;
}

.shape-top-left {
    top: 5%;
    left: 8%;
    width: 180px;
    animation: float 4s ease-in-out infinite;
}

.shape-bottom-right {
    bottom: -1%;
    right: 9%;
    width: 150px;
    animation: float 4s ease-in-out infinite;
}

/* Text Hightight*/

    .text-highlight-green {
    color: #6bf988;
}

/*popup container*/

.popup-container {
    display: none;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 61;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(2px);
    background: #0000004d;
}

.popup-container-overlay {
    position: fixed;
    inset: 0;
    backdrop-filter: blur(2px);
    background: #06060647;
    cursor: zoom-out;
}

.expand-img-container {
    padding: 20px;
    width: 67%;
    top: 57%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    border-radius: 10px;
    background: rgba(153, 157, 163, 0.25);
    border: 1px solid rgba(255, 255, 255, 0.25);
    cursor: zoom-out;
    color: white;
}

.expand-img-container img {
    border-radius: 5px;
    display: block;
    width: 100%;
}

.close {
    color: #6a6a6a;
    font-size: 1.5em;
    position: absolute;
    top: 0;
    right: 0;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background: aliceblue;
    width: 30px;
    border-radius: 0% 0 0 25%;
    text-align: center;
    box-shadow: -1px 1px 5px rgba(0, 0, 0, 0.5019607843);
    cursor: pointer;
    border-radius: 0% 20% 0 20%;
}

.close:hover {
    color: #383838;
}

/* Keyframes*/

@keyframes float {
    0% { transform: translateY(0); }
    50% { transform: translateY(-20px); }
    100% { transform: translateY(0); }
}


/* MEDIA QUERY*/

@media (max-width:1098px){

    .large-dataset-overall-content-wrapper, .manage-microsoft-content-wrapper {
        width: 100%;
    }

    .large-dataset-video-wrapper, .manage-microsoft-video-wrapper {
        order: 1;
        margin-top: 20px;
        width: 80%;
    }

    .large-dataset-container, .manage-microsoft-container {
        flex-direction: column
    }
}

@media (max-width:900px){
    .graph-explorer-comparison-table-wrapper .droid-common-table-wrapper {
        .common-table-grid {
            .table-column-heading {
                font-size: 1em;
            }
        }
    }

    .shape{
        display: none;
    }

    .native-m365-graph-content-desc {
        width: auto;
    }
}

@media (max-width: 768px) {

    .graph-explorer-tool-banner-container {
        padding: 90px 15px 0;
    }

    .graph-explorer-tool-banner-desc {
        margin: 15px 0px;
    }

    .graph-explorer-section-title{
        font-size: 1.4em !important;
    }

    .native-m365-graph-wrapper{
        padding: 10px;
    }

    .native-m365-graph-header-wrapper {
        padding: 3% 0;
    }

    .graph-explorer-comparison-table-wrapper .droid-common-table-wrapper {
        .common-table-grid {
            .table-column-heading {
                font-size: 0;
            }
            .table-column-heading.row[data-item-of-column="1"] {
                font-size: 0.8em;
                padding: 9px;
            }
            .table-item {
                border-right: 1px solid #c9c5c529;
                padding: 9px;
                font-size: 0.7em;
            }
        }
    }
}

@media (max-width: 698px){

    .droid-section-main-title{
        font-size: 1.6em;
    }

    .why-choose-main-quote-wrapper i{
        font-size: 1.5em;
    }

    .graph-explorer-tool-banner-container .graph-explorer-tool-banner-image, .manage-microsoft-video-wrapper, .large-dataset-video-wrapper {
        display: none;
    }

    .graph-explorer-tool-banner-container .graph-explorer-tool-banner-content {
        width: auto;
    }

    .cta-graph-explorer-highlight-container {
        margin-top: 20px;
    }
}

@media only screen and (max-width:768px){

    .description-card {
        display: block;
        cursor: auto;
    }
    .graph-view-description-card-text {
        width: 85%;
    }
    .graph-view-section-content-part {
        padding: 15px;
    }
    .graph-view-image-part {
        display: none;
    }
}


@media only screen and (min-width:769px) and (max-width:1349px){

    .graph-view-section-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 5px;
    }
    .graph-view-section-slider-pagination-part {
        display: block;
    }
    .graph-view-image-part {
        order: -1;
        max-height: 330px;
        max-width: 640px;
    }
    .graph-view-section-content-part {
        padding: 20px;
    }
    .description-card.active,
    .description-card:hover{
        background:none !important;
        padding-top:0px;
        min-height: 100px;
        border: none !important;
        cursor:auto;
    }
    .description-card { 
        display:none; 
        padding: 0px;
        margin-bottom: 0px;}
    .description-card.active{display:block;}
    .slide-nav-button-holder{
        display:inline-block ;
    }
    .graph-view-description-card-text{ font-size:0.95em; }
    .carousel,.carousel-left{
        height:295px !important;
    }
    .carousel-img.carousel-item{
        left:0;
        top:0 !important;
    }
    img.carousel-item.carousel-center{
        opacity:1 !important;
        transition: opacity 0.3s ease-in-out;
    }

    .native-m365-graph-header-wrapper {
        text-align: left;
        padding: 3%;
    }
}

@media only screen and (min-width:1350px){

    graph-view-section-container.droid-section-outer-wrapper {
        padding: 5px 15px;
    }
    .carousel:not(.horiz-slide) img {
        left:unset !important;
        right:0;
    }
    .carousel-left img{
        left:0 !important;
    }
    main:not(#O365-insights-main-container) img.carousel-item.carousel-center {
        box-shadow: 5px 0px 80px 0px #2f2f2f;
        transition: 0.3s;
    }
}
